"use strict";
/**
 * Utils - Data Source
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.dataSource = void 0;
const config_1 = require("../../config/config");
const utils_1 = require("../utils");
/**
 * Check and get data source
 *
 * @type {import('./dataSourceTypes').DataSource}
 */
const dataSource = {
    isContentful(source = config_1.config.source) {
        return config_1.config.cms.name === 'contentful' && source === 'cms';
    },
    isStatic(source = config_1.config.source) {
        return source === 'static';
    },
    get() {
        const cmsName = config_1.config.cms.name;
        if ((0, utils_1.isStringStrict)(cmsName)) {
            return cmsName;
        }
        return config_1.config.source;
    }
};
exports.dataSource = dataSource;
