"use strict";
/**
 * Utils - Get Archive Labels
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArchiveLabels = void 0;
/* Imports */
const config_1 = require("../../config/config");
const isArray_1 = require("../isArray/isArray");
/**
 * Function - singular and plural labels by content type
 *
 * @private
 * @param {string} contentType
 * @param {string|string[]} linkContentType
 * @param {boolean} isTerm
 * @return {object}
 */
const getArchiveLabels = (contentType = '', linkContentType, isTerm = false) => {
    let singular = 'post';
    let plural = 'posts';
    let type = contentType;
    if (isTerm) {
        linkContentType = (0, isArray_1.isArray)(linkContentType) ? linkContentType : [linkContentType];
        type = linkContentType.length > 0 ? linkContentType[0] : '';
    }
    if (type !== '') {
        singular = config_1.config.contentTypes.archive[type].singular.toLowerCase();
        plural = config_1.config.contentTypes.archive[type].plural.toLowerCase();
    }
    return {
        singular,
        plural
    };
};
exports.getArchiveLabels = getArchiveLabels;
